package io.zipcoder.casino;

public enum Rank {
    ACE(1,11),
    TWO(2),
    THREE(3),
    FOUR(4),
    FIVE(5),
    SIX(6),
    SEVEN(7),
    EIGHT(8),
    NINE(9),
    TEN(10),
    JACK(10),
    QUEEN(10),
    KING(10);





    private final Integer primaryValue;
    private final Integer secondaryValue;

    Rank(Integer primaryValue){
        this.primaryValue = primaryValue;
        this.secondaryValue = primaryValue;
    }
    Rank(Integer primaryValue, Integer secondaryValue){
        this.primaryValue = primaryValue;
        this.secondaryValue = secondaryValue;
    }

    public Integer getPrimaryValue(){
        return primaryValue;
    }

    public Integer getSecondaryValue() {
        return secondaryValue;
    }
}
